#include "Battle/BattleField.h"

#include <Player/Player.h>

BattleField::BattleField(Player* player, Player* enemy)
    : _player{player}, _enemy{enemy} {}

Ship* BattleField::getPlayerShip() const {
    return &_player->getShip();
}
Ship* BattleField::getEnemyShip() const {
    return &_enemy->getShip();
}
std::vector<Player*> BattleField::players() const {
    return {_player, _enemy};
}